VTK: vtkLogLookupTable Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkLogLookupTable Class Reference

map scalars into colors using log (base 10) scale More...

`#include <vtkLogLookupTable.h>`

Inheritance diagram for vtkLogLookupTable:
[legend]
Collaboration diagram for vtkLogLookupTable:
[legend]

## Public Types
typedef vtkLookupTable | Superclass
Public Types inherited from vtkLookupTable
typedef vtkScalarsToColors | Superclass
Public Types inherited from vtkScalarsToColors
enum | VectorModes { MAGNITUDE = 0 , COMPONENT = 1 , RGBCOLORS = 2 }
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkLogLookupTable * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
Public Member Functions inherited from vtkLookupTable
vtkLookupTable * | NewInstance () const
int | Allocate (int sz=256, int ext=256)
| Allocate a color table of specified size. More...
void | Build () override
| Generate lookup table from hue, saturation, value, alpha min/max values. More...
virtual void | ForceBuild ()
| Force the lookup table to regenerate from hue, saturation, value, and alpha min/max values. More...
void | BuildSpecialColors ()
| Copies the "special" colors into the given table. More...
unsigned char * | GetNanColorAsUnsignedChars ()
| Return the NanColor as a pointer to 4 unsigned chars. More...
const unsigned char * | MapValue (double v) override
| Map one value through the lookup table, returning an RBGA[4] color. More...
void | GetColor (double v, double rgb[3]) override
| Map one value through the lookup table and return the color as an RGB[3] array of doubles between 0 and 1. More...
double | GetOpacity (double v) override
| Map one value through the lookup table and return the alpha value (the opacity) as a double between 0 and 1. More...
virtual vtkIdType | GetIndex (double v)
| Return the table index associated with a particular value. More...
virtual void | SetTableValue (vtkIdType indx, const double rgba[4])
| Directly load color into lookup table. More...
virtual void | SetTableValue (vtkIdType indx, double r, double g, double b, double a=1.0)
| Directly load color into lookup table. More...
double * | GetTableValue (vtkIdType indx)
| Return an RGBA color value for the given index into the lookup table. More...
void | GetTableValue (vtkIdType indx, double rgba[4])
| Return an RGBA color value for the given index into the lookup table. More...
unsigned char * | GetPointer (vtkIdType id)
| Get pointer to color table data. More...
unsigned char * | WritePointer (vtkIdType id, int number)
| Get pointer to data. More...
void | MapScalarsThroughTable2 (void *input, unsigned char *output, int inputDataType, int numberOfValues, int inputIncrement, int outputFormat) override
| Map a set of scalars through the lookup table. More...
void | DeepCopy (vtkScalarsToColors *obj) override
| Copy the contents from another LookupTable. More...
vtkTypeBool | UsingLogScale () override
| This should return 1 if the subclass is using log scale for mapping scalars to colors. More...
vtkIdType | GetNumberOfAvailableColors () override
| Get the number of available colors for mapping to. More...
void | GetIndexedColor (vtkIdType idx, double rgba[4]) override
| Return a color given an integer index. More...
vtkTypeBool | IsOpaque () override
| Return true if all of the values defining the mapping have an opacity equal to 1. More...
vtkTypeBool | IsOpaque (vtkAbstractArray *scalars, int colorMode, int component) override
| Return true if all of the values defining the mapping have an opacity equal to 1. More...
vtkTypeBool | IsOpaque (vtkAbstractArray *scalars, int colorMode, int component, vtkUnsignedCharArray *ghosts, unsigned char ghostsToSkip=0xff) override
| Return true if all of the values defining the mapping have an opacity equal to 1. More...
virtual void | SetRamp (int)
| Set the shape of the table ramp to either S-curve, linear, or sqrt. More...
void | SetRampToLinear ()
| Set the shape of the table ramp to either S-curve, linear, or sqrt. More...
void | SetRampToSCurve ()
| Set the shape of the table ramp to either S-curve, linear, or sqrt. More...
void | SetRampToSQRT ()
| Set the shape of the table ramp to either S-curve, linear, or sqrt. More...
virtual int | GetRamp ()
| Set the shape of the table ramp to either S-curve, linear, or sqrt. More...
void | SetScale (int scale)
| Set the type of scale to use, linear or logarithmic. More...
void | SetScaleToLinear ()
| Set the type of scale to use, linear or logarithmic. More...
void | SetScaleToLog10 ()
| Set the type of scale to use, linear or logarithmic. More...
virtual int | GetScale ()
| Set the type of scale to use, linear or logarithmic. More...
virtual void | SetTableRange (const double r[2])
| Set/Get the minimum/maximum scalar values for scalar mapping. More...
virtual void | SetTableRange (double min, double max)
| Set/Get the minimum/maximum scalar values for scalar mapping. More...
virtual double * | GetTableRange ()
| Set/Get the minimum/maximum scalar values for scalar mapping. More...
virtual void | GetTableRange (double data[2])
| Set/Get the minimum/maximum scalar values for scalar mapping. More...
virtual void | SetHueRange (double, double)
| Set the range in hue (using automatic generation). More...
void | SetHueRange (double[2])
| Set the range in hue (using automatic generation). More...
virtual double * | GetHueRange ()
| Set the range in hue (using automatic generation). More...
virtual void | GetHueRange (double &, double &)
| Set the range in hue (using automatic generation). More...
virtual void | GetHueRange (double[2])
| Set the range in hue (using automatic generation). More...
virtual void | SetSaturationRange (double, double)
| Set the range in saturation (using automatic generation). More...
void | SetSaturationRange (double[2])
| Set the range in saturation (using automatic generation). More...
virtual double * | GetSaturationRange ()
| Set the range in saturation (using automatic generation). More...
virtual void | GetSaturationRange (double &, double &)
| Set the range in saturation (using automatic generation). More...
virtual void | GetSaturationRange (double[2])
| Set the range in saturation (using automatic generation). More...
virtual void | SetValueRange (double, double)
| Set the range in value (using automatic generation). More...
void | SetValueRange (double[2])
| Set the range in value (using automatic generation). More...
virtual double * | GetValueRange ()
| Set the range in value (using automatic generation). More...
virtual void | GetValueRange (double &, double &)
| Set the range in value (using automatic generation). More...
virtual void | GetValueRange (double[2])
| Set the range in value (using automatic generation). More...
virtual void | SetAlphaRange (double, double)
| Set the range in alpha (using automatic generation). More...
void | SetAlphaRange (double[2])
| Set the range in alpha (using automatic generation). More...
virtual double * | GetAlphaRange ()
| Set the range in alpha (using automatic generation). More...
virtual void | GetAlphaRange (double &, double &)
| Set the range in alpha (using automatic generation). More...
virtual void | GetAlphaRange (double[2])
| Set the range in alpha (using automatic generation). More...
virtual void | SetNanColor (double, double, double, double)
| Set the color to use when a NaN (not a number) is encountered. More...
virtual void | SetNanColor (double[4])
| Set the color to use when a NaN (not a number) is encountered. More...
virtual double * | GetNanColor ()
| Set the color to use when a NaN (not a number) is encountered. More...
virtual void | GetNanColor (double &, double &, double &, double &)
| Set the color to use when a NaN (not a number) is encountered. More...
virtual void | GetNanColor (double[4])
| Set the color to use when a NaN (not a number) is encountered. More...
virtual void | SetBelowRangeColor (double, double, double, double)
| Set the color to use when a value below the range is encountered. More...
virtual void | SetBelowRangeColor (double[4])
| Set the color to use when a value below the range is encountered. More...
virtual double * | GetBelowRangeColor ()
| Set the color to use when a value below the range is encountered. More...
virtual void | GetBelowRangeColor (double &, double &, double &, double &)
| Set the color to use when a value below the range is encountered. More...
virtual void | GetBelowRangeColor (double[4])
| Set the color to use when a value below the range is encountered. More...
virtual void | SetUseBelowRangeColor (vtkTypeBool)
| Set whether the below range color should be used. More...
virtual vtkTypeBool | GetUseBelowRangeColor ()
| Set whether the below range color should be used. More...
virtual void | UseBelowRangeColorOn ()
| Set whether the below range color should be used. More...
virtual void | UseBelowRangeColorOff ()
| Set whether the below range color should be used. More...
virtual void | SetAboveRangeColor (double, double, double, double)
| Set the color to use when a value above the range is encountered. More...
virtual void | SetAboveRangeColor (double[4])
| Set the color to use when a value above the range is encountered. More...
virtual double * | GetAboveRangeColor ()
| Set the color to use when a value above the range is encountered. More...
virtual void | GetAboveRangeColor (double &, double &, double &, double &)
| Set the color to use when a value above the range is encountered. More...
virtual void | GetAboveRangeColor (double[4])
| Set the color to use when a value above the range is encountered. More...
virtual void | SetUseAboveRangeColor (vtkTypeBool)
| Set whether the above range color should be used. More...
virtual vtkTypeBool | GetUseAboveRangeColor ()
| Set whether the above range color should be used. More...
virtual void | UseAboveRangeColorOn ()
| Set whether the above range color should be used. More...
virtual void | UseAboveRangeColorOff ()
| Set whether the above range color should be used. More...
void | SetNumberOfTableValues (vtkIdType number)
| Specify the number of values (i.e., colors) in the lookup table. More...
vtkIdType | GetNumberOfTableValues ()
| Specify the number of values (i.e., colors) in the lookup table. More...
double * | GetRange () override
| Sets/Gets the range of scalars which will be mapped. More...
void | SetRange (double min, double max) override
| Sets/Gets the range of scalars which will be mapped. More...
void | SetRange (const double rng[2]) override
| Sets/Gets the range of scalars which will be mapped. More...
virtual void | SetNumberOfColors (vtkIdType)
| Set the number of colors in the lookup table. More...
virtual vtkIdType | GetNumberOfColors ()
| Set the number of colors in the lookup table. More...
void | SetTable (vtkUnsignedCharArray *)
| Set/Get the internal table array that is used to map the scalars to colors. More...
virtual vtkUnsignedCharArray * | GetTable ()
| Set/Get the internal table array that is used to map the scalars to colors. More...
Public Member Functions inherited from vtkScalarsToColors
vtkScalarsToColors * | NewInstance () const
double * | GetColor (double v)
| Map one value through the lookup table and return the color as an RGB array of doubles between 0 and 1. More...
double | GetLuminance (double x)
| Map one value through the lookup table and return the luminance 0.3*red + 0.59*green + 0.11*blue as a double between 0 and 1. More...
void | MapVectorsThroughTable (void *input, unsigned char *output, int inputDataType, int numberOfValues, int inputIncrement, int outputFormat, int vectorComponent, int vectorSize)
| Map vectors through the lookup table. More...
void | MapVectorsThroughTable (void *input, unsigned char *output, int inputDataType, int numberOfValues, int inputIncrement, int outputFormat)
void | MapScalarsThroughTable (vtkDataArray *scalars, unsigned char *output, int outputFormat)
| Map a set of scalars through the lookup table in a single operation. More...
void | MapScalarsThroughTable (vtkDataArray *scalars, unsigned char *output)
void | MapScalarsThroughTable (void *input, unsigned char *output, int inputDataType, int numberOfValues, int inputIncrement, int outputFormat)
virtual vtkIdType | SetAnnotation (vtkVariant value, vtkStdString annotation)
| Add a new entry (or change an existing entry) to the list of annotated values. More...
virtual vtkIdType | SetAnnotation (vtkStdString value, vtkStdString annotation)
| This variant of SetAnnotation accepts the value as a string so ParaView can treat annotations as string vector arrays. More...
vtkIdType | GetNumberOfAnnotatedValues ()
| Return the annotated value at a particular index in the list of annotations. More...
vtkVariant | GetAnnotatedValue (vtkIdType idx)
| Return the annotated value at a particular index in the list of annotations. More...
vtkStdString | GetAnnotation (vtkIdType idx)
| Return the annotation at a particular index in the list of annotations. More...
virtual void | GetAnnotationColor (const vtkVariant &val, double rgba[4])
| Obtain the color associated with a particular annotated value (or NanColor if unmatched). More...
vtkIdType | GetAnnotatedValueIndex (vtkVariant val)
| Return the index of the given value in the list of annotated values (or -1 if not present). More...
vtkIdType | GetAnnotatedValueIndexInternal (const vtkVariant &val)
| Look up an index into the array of annotations given a value. More...
virtual bool | RemoveAnnotation (vtkVariant value)
| Remove an existing entry from the list of annotated values. More...
virtual void | ResetAnnotations ()
| Remove all existing values and their annotations. More...
virtual void | SetAlpha (double alpha)
| Specify an additional opacity (alpha) value to blend with. More...
virtual double | GetAlpha ()
| Specify an additional opacity (alpha) value to blend with. More...
virtual vtkUnsignedCharArray * | MapScalars (vtkDataArray *scalars, int colorMode, int component, int outputFormat=VTK_RGBA)
| Internal methods that map a data array into an unsigned char array. More...
virtual vtkUnsignedCharArray * | MapScalars (vtkAbstractArray *scalars, int colorMode, int component, int outputFormat=VTK_RGBA)
| Internal methods that map a data array into an unsigned char array. More...
virtual void | SetVectorMode (int)
| Change mode that maps vectors by magnitude vs. More...
virtual int | GetVectorMode ()
| Change mode that maps vectors by magnitude vs. More...
void | SetVectorModeToMagnitude ()
| Change mode that maps vectors by magnitude vs. More...
void | SetVectorModeToComponent ()
| Change mode that maps vectors by magnitude vs. More...
void | SetVectorModeToRGBColors ()
| Change mode that maps vectors by magnitude vs. More...
virtual void | SetVectorComponent (int)
| If the mapper does not select which component of a vector to map to colors, you can specify it here. More...
virtual int | GetVectorComponent ()
| If the mapper does not select which component of a vector to map to colors, you can specify it here. More...
virtual void | SetVectorSize (int)
| When mapping vectors, consider only the number of components selected by VectorSize to be part of the vector, and ignore any other components. More...
virtual int | GetVectorSize ()
| When mapping vectors, consider only the number of components selected by VectorSize to be part of the vector, and ignore any other components. More...
virtual void | SetAnnotations (vtkAbstractArray *values, vtkStringArray *annotations)
| Set a list of discrete values, either as a categorical set of values (when IndexedLookup is true) or as a set of annotations to add to a scalar array (when IndexedLookup is false). More...
virtual vtkAbstractArray * | GetAnnotatedValues ()
| Set a list of discrete values, either as a categorical set of values (when IndexedLookup is true) or as a set of annotations to add to a scalar array (when IndexedLookup is false). More...
virtual vtkStringArray * | GetAnnotations ()
| Set a list of discrete values, either as a categorical set of values (when IndexedLookup is true) or as a set of annotations to add to a scalar array (when IndexedLookup is false). More...
virtual void | SetIndexedLookup (vtkTypeBool)
| Set/get whether the lookup table is for categorical or ordinal data. More...
virtual vtkTypeBool | GetIndexedLookup ()
| Set/get whether the lookup table is for categorical or ordinal data. More...
virtual void | IndexedLookupOn ()
| Set/get whether the lookup table is for categorical or ordinal data. More...
virtual void | IndexedLookupOff ()
| Set/get whether the lookup table is for categorical or ordinal data. More...
template<>
unsigned char | ColorToUChar (double t)
| Specializations of vtkScalarsToColors::ColorToUChar Converts from a color in a floating point type in range 0.0-1.0 to a uchar in range 0-255. More...
template<>
unsigned char | ColorToUChar (float t)
| Specializations of vtkScalarsToColors::ColorToUChar Converts from a color in a floating point type in range 0.0-1.0 to a uchar in range 0-255. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkLogLookupTable * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkLogLookupTable * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkLookupTable
static vtkLookupTable * | New ()
| Construct with range=[0,1]; and hsv ranges set up for rainbow color table (from red to blue). More...
static vtkTypeBool | IsTypeOf (const char *type)
static vtkLookupTable * | SafeDownCast (vtkObjectBase *o)
static void | GetColorAsUnsignedChars (const double colorIn[4], unsigned char colorOut[4])
| Given an RGBA[4] color in the [0,1] range, convert it to RGBA[4] in the [0,255] range. More...
static void | GetLogRange (const double range[2], double log_range[2])
| Returns the log of `range` in `log_range`. More...
static double | ApplyLogScale (double v, const double range[2], const double log_range[2])
| Apply log to value, with appropriate constraints. More...
Static Public Member Functions inherited from vtkScalarsToColors
static vtkTypeBool | IsTypeOf (const char *type)
static vtkScalarsToColors * | SafeDownCast (vtkObjectBase *o)
static vtkScalarsToColors * | New ()
template<typename T >
static unsigned char | ColorToUChar (T t)
| Converts a color from numeric type T to uchar. More...
template<typename T >
static void | ColorToUChar (T t, unsigned char *dest)
| Converts a color from numeric type T to uchar. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkLogLookupTable (int sze=256, int ext=256)
| ~vtkLogLookupTable () override=default
Protected Member Functions inherited from vtkLookupTable
| vtkLookupTable (int sze=256, int ext=256)
| ~vtkLookupTable () override
void | ResizeTableForSpecialColors ()
| Resize the LookupTable to have enough room for the out-of-range colors. More...
Protected Member Functions inherited from vtkScalarsToColors
| vtkScalarsToColors ()
| ~vtkScalarsToColors () override
void | MapColorsToColors (void *input, unsigned char *output, int inputDataType, int numberOfValues, int numberOfComponents, int vectorSize, int outputFormat)
| An internal method that assumes that the input already has the right colors, and only remaps the range to [0,255] and pads to the desired output format. More...
vtkUnsignedCharArray * | ConvertToRGBA (vtkDataArray *colors, int numComp, int numTuples)
| An internal method used to convert a color array to RGBA. More...
void | MapVectorsToMagnitude (void *input, double *output, int inputDataType, int numberOfValues, int numberOfComponents, int vectorSize)
| An internal method for converting vectors to magnitudes, used as a preliminary step before doing magnitude mapping. More...
virtual vtkIdType | CheckForAnnotatedValue (vtkVariant value)
| Allocate annotation arrays if needed, then return the index of the given value or -1 if not present. More...
virtual void | UpdateAnnotatedValueMap ()
| Update the map from annotated values to indices in the array of annotations. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Public Attributes inherited from vtkLookupTable
static const vtkIdType | REPEATED_LAST_COLOR_INDEX
| Constants for offsets of special colors (e.g., NanColor, BelowRangeColor, AboveRangeColor) from the maximum index in the lookup table. More...
static const vtkIdType | BELOW_RANGE_COLOR_INDEX
| Constants for offsets of special colors (e.g., NanColor, BelowRangeColor, AboveRangeColor) from the maximum index in the lookup table. More...
static const vtkIdType | ABOVE_RANGE_COLOR_INDEX
| Constants for offsets of special colors (e.g., NanColor, BelowRangeColor, AboveRangeColor) from the maximum index in the lookup table. More...
static const vtkIdType | NAN_COLOR_INDEX
| Constants for offsets of special colors (e.g., NanColor, BelowRangeColor, AboveRangeColor) from the maximum index in the lookup table. More...
static const vtkIdType | NUMBER_OF_SPECIAL_COLORS
| Constants for offsets of special colors (e.g., NanColor, BelowRangeColor, AboveRangeColor) from the maximum index in the lookup table. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkLookupTable
vtkIdType | NumberOfColors
vtkUnsignedCharArray * | Table
double | TableRange [2]
double | HueRange [2]
double | SaturationRange [2]
double | ValueRange [2]
double | AlphaRange [2]
double | NanColor [4]
double | BelowRangeColor [4]
vtkTypeBool | UseBelowRangeColor
double | AboveRangeColor [4]
vtkTypeBool | UseAboveRangeColor
int | Scale
int | Ramp
vtkTimeStamp | InsertTime
vtkTimeStamp | BuildTime
double | RGBA [4]
unsigned char | NanColorChar [4]
vtkTypeBool | OpaqueFlag
vtkTimeStamp | OpaqueFlagBuildTime
vtkTimeStamp | SpecialColorsBuildTime
Protected Attributes inherited from vtkScalarsToColors
vtkAbstractArray * | AnnotatedValues
vtkStringArray * | Annotations
vtkInternalAnnotatedValueList * | AnnotatedValueList
vtkTypeBool | IndexedLookup
double | Alpha
int | VectorMode
int | VectorComponent
int | VectorSize
int | UseMagnitude
unsigned char | RGBABytes [4]
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

map scalars into colors using log (base 10) scale

This class is an empty shell. Use vtkLookupTable with SetScaleToLog10() instead.

See also
  vtkLookupTable

Online Examples:

Tests:
  vtkLogLookupTable (Tests)

Definition at line 33 of file vtkLogLookupTable.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkLookupTable vtkLogLookupTable::Superclass

Definition at line 38 of file vtkLogLookupTable.h.

## Constructor & Destructor Documentation

## ◆ vtkLogLookupTable()

vtkLogLookupTable::vtkLogLookupTable | ( | int | sze = `256`,
|  | int | ext = `256`
| ) |  |
| protected

## ◆ ~vtkLogLookupTable()

vtkLogLookupTable::~vtkLogLookupTable | ( |  | ) |
| overrideprotecteddefault

## Member Function Documentation

## ◆ New()

static vtkLogLookupTable* vtkLogLookupTable::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkLogLookupTable::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkLogLookupTable::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkLookupTable.

## ◆ SafeDownCast()

static vtkLogLookupTable* vtkLogLookupTable::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkLogLookupTable::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkLookupTable.

## ◆ NewInstance()

vtkLogLookupTable* vtkLogLookupTable::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkLogLookupTable::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkLookupTable.

The documentation for this class was generated from the following file:

- Rendering/Core/vtkLogLookupTable.h